Bug 1886785 - mksh logs out if a trap on EXIT is configured
Summary: mksh logs out if a trap on EXIT is configured
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mksh
Version: 7.8
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-09 11:53 UTC by Welterlen Benoit
Modified: 2020-10-20 13:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-20 13:47:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5481461 0 None None None 2020-10-12 09:50:35 UTC

Description Welterlen Benoit 2020-10-09 11:53:17 UTC
Description of problem:
If we trap the EXIT signal to write logout for example, mksh will logout on any CtlC interruption.

Version-Release number of selected component (if applicable):
mksh-46-8.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. mksh
2. trap "echo 'logout'" 0
3. CtrlC

Actual results:
Logout 

Expected results:
Just interrupt the command if running

Additional info:
Fixed in RHEL8

Comment 3 Michal Hlavinka 2020-10-20 13:47:38 UTC
Red Hat Enterprise Linux version 7 entered the Maintenance Support Phase. In this phase only qualified Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released as they become available. Other errata advisories may be delivered as appropriate.

This bug has been reviewed by Engineering representative and does not meet the inclusion criteria for Maintenance Support 2 Phase.

For more information about Red Hat Enterprise Linux Lifecycle, please see https://access.redhat.com/support/policy/updates/errata/

This issue is fixed in Red Hat Enterprise Linux version 8, closing as NEXTRELEASE


Note You need to log in before you can comment on or make changes to this bug.